/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * This dmraid library code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * dmraid is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this dmraid library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

#ifndef _DISPLAY_H_
#define _DISPLAY_H_

enum dev_type {
	DEVICE = 0,	/* ALL devices */
	RAID,		/* RAID devices */
	NATIVE,		/* Native metadata of RAID devices */
};

enum active_type {
	ALL = 0,	/* All devices */
	A,		/* Active devices only */
	I,		/* Inactive devices only */
};

void display_devices(enum dev_type type);
void display_set(void *rs, enum active_type active);
int list_formats(void);

#endif
